// 组件容器基本设置
export const containerDefaultConfig = {
  /* ===================================== 通用容器样式 ============================================ */
  style: {
    background: {
      type: "color", // none, color, image
      color: "rgba(0, 0, 0, 0.1)",
      image: "",
      fillType: "",
    },
    opacity: 100,
    borderStyle: "none",
    borderColor: "#EEEEEEFF",
    borderWidth: 1,
    borderRadius: {
      type: "all", // all, custom
      value: 2, // 整体圆角值 || {topLeft: 0, topRight: 0, bottomRight: 0, bottomLeft: 0}
      unit: "px", // 单位
    },
    // 阴影
    boxShadow: '',
    // 毛玻璃
    backdropFilter: '',
    // 倒影
    webkitBoxReflect: '',
  },
  /* ===================================== 通用容器属性 ============================================ */
  props: {
    width: 0,
    height: 0,
    x: 0,
    y: 0,
    paddingLeft: 0,
    paddingRight: 0,
    paddingTop: 0,
    paddingBottom: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 0,
    opacity: 100,
  },
};